unit uIDataModuleArticulos;

interface

uses  
  uBizArticulos, Classes;

type
  TEnumArticulos = (txArticulo, txProveedor);
  
  IDataModuleArticulos = interface
    ['{9047C468-78DE-404E-9047-1125B382FE3B}']
    function GetItems (const Tipo: TEnumArticulos) : IBizArticulo;
    function GetItem(const ID : Integer) : IBizArticulo;
    function NewItem : IBizArticulo;
    function DarListaProveedoresConArticulos(const IDEmpresa: Integer) : TStringList;    
  end;

implementation

end.
